<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.property.mapper.ARoomMapper">

    <resultMap id="BaseResultMap" type="com.zksy.property.domain.ARoom">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="houseTypeId" column="house_type_id" jdbcType="VARCHAR"/>
            <result property="roomNumber" column="room_number" jdbcType="VARCHAR"/>
            <result property="roomPictureUrl" column="room_picture_url" jdbcType="VARCHAR"/>
            <result property="attribute" column="attribute" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,house_type_id,room_number,
        room_picture_url,attribute,create_time,create_by,
        update_time,update_by
    </sql>
</mapper>
